# sauvegarde de la base enteabtfpymantis
# le 11/04/2020 a 16h08
# structure de la table adherents
DROP TABLE IF EXISTS `adherents`;

CREATE TABLE `adherents` (
  `id_adherent` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(30) NOT NULL DEFAULT '',
  `prenom` varchar(30) NOT NULL DEFAULT '',
  `adhesion` int(11) NOT NULL DEFAULT '0',
  `adresse` varchar(50) NOT NULL DEFAULT '',
  `codepostal` int(5) NOT NULL DEFAULT '0',
  `ville` varchar(30) NOT NULL DEFAULT '',
  `telephone` varchar(15) NOT NULL DEFAULT '',
  `email` varchar(30) DEFAULT NULL,
  `enfants` text,
  `avertissement` text,
  `autorisation` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_adherent`),
  UNIQUE KEY `telephone` (`telephone`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='liste des emprunteur';

# donnees de adherents
INSERT INTO `adherents` (`id_adherent`, `nom`, `prenom`, `adhesion`, `adresse`, `codepostal`, `ville`, `telephone`, `email`, `enfants`, `avertissement`, `autorisation`) values ('1',
                                        'BRAUN',
                                        'Norbert',
                                        '0',
                                        '6, rue de la Toussaint',
                                        '90000',
                                        'Belfort',
                                        '01 01 01 01 01',
                                        'nb@siloged.fr',
                                        '',
                                        '			',
                                        '1');

# structure de la table ages
DROP TABLE IF EXISTS `ages`;

CREATE TABLE `ages` (
  `id_age` int(11) NOT NULL AUTO_INCREMENT,
  `age` varchar(20) NOT NULL,
  PRIMARY KEY (`id_age`),
  UNIQUE KEY `age` (`age`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1 COMMENT='table definissant les ages';

# donnees de ages
INSERT INTO `ages` (`id_age`, `age`) values ('1',
                                        '- de 3 ans');

INSERT INTO `ages` (`id_age`, `age`) values ('5',
                                        ' partir de 10 ans');

INSERT INTO `ages` (`id_age`, `age`) values ('2',
                                        ' partir de 3 ans');

INSERT INTO `ages` (`id_age`, `age`) values ('3',
                                        ' partir de 6 ans');

INSERT INTO `ages` (`id_age`, `age`) values ('4',
                                        ' partir de 8 ans');

INSERT INTO `ages` (`id_age`, `age`) values ('6',
                                        'de 15  plus');

# structure de la table categories
DROP TABLE IF EXISTS `categories`;

CREATE TABLE `categories` (
  `id_categorie` int(11) NOT NULL AUTO_INCREMENT,
  `categorie` varchar(40) NOT NULL,
  PRIMARY KEY (`id_categorie`),
  UNIQUE KEY `categorie` (`categorie`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1 COMMENT='Categorie de jeux';

# donnees de categories
INSERT INTO `categories` (`id_categorie`, `categorie`) values ('5',
                                        'Chiffre');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('3',
                                        'Construction');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('6',
                                        'Educatif');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('9',
                                        'Grands jeux');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('10',
                                        'Jeu en rparation');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('7',
                                        'Jeux coopratifs');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('8',
                                        'jeux d\'association - lotos');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('1',
                                        'Lettre');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('2',
                                        'Mmoire');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('4',
                                        'Stratgie');

INSERT INTO `categories` (`id_categorie`, `categorie`) values ('11',
                                        'test');

# structure de la table cotisations
DROP TABLE IF EXISTS `cotisations`;

CREATE TABLE `cotisations` (
  `id_cotisation` int(11) NOT NULL AUTO_INCREMENT,
  `cot_debut` date NOT NULL DEFAULT '0000-00-00',
  `cot_fin` date NOT NULL DEFAULT '0000-00-00',
  `fk_adherent` int(11) NOT NULL,
  PRIMARY KEY (`id_cotisation`),
  KEY `fk_adherent_cotisations` (`fk_adherent`),
  CONSTRAINT `fk_adherent_cotisations` FOREIGN KEY (`fk_adherent`) REFERENCES `adherents` (`id_adherent`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='periode dadhesion';

# donnees de cotisations
INSERT INTO `cotisations` (`id_cotisation`, `cot_debut`, `cot_fin`, `fk_adherent`) values ('1',
                                        '2020-04-11',
                                        '2020-04-20',
                                        '1');

# structure de la table emprunts
DROP TABLE IF EXISTS `emprunts`;

CREATE TABLE `emprunts` (
  `id_emprunt` int(11) NOT NULL AUTO_INCREMENT,
  `fk_jeu` int(11) NOT NULL,
  `fk_adherent` int(11) NOT NULL,
  `date` date NOT NULL DEFAULT '0000-00-00',
  `fk_ludothequaire` int(11) NOT NULL,
  `en_pret` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_emprunt`),
  KEY `fk_jeu_emprunts` (`fk_jeu`),
  KEY `fk_adherent_emprunts` (`fk_adherent`),
  KEY `fk_ludothequaire_emprunts` (`fk_ludothequaire`),
  CONSTRAINT `fk_adherent_emprunts` FOREIGN KEY (`fk_adherent`) REFERENCES `adherents` (`id_adherent`),
  CONSTRAINT `fk_jeu_emprunts` FOREIGN KEY (`fk_jeu`) REFERENCES `jeux` (`id_jeu`),
  CONSTRAINT `fk_ludothequaire_emprunts` FOREIGN KEY (`fk_ludothequaire`) REFERENCES `ludothecaires` (`id_ludo`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='liaison jeux et adherents pour lemprunt';

# donnees de emprunts
INSERT INTO `emprunts` (`id_emprunt`, `fk_jeu`, `fk_adherent`, `date`, `fk_ludothequaire`, `en_pret`) values ('1',
                                        '1',
                                        '1',
                                        '2020-04-11',
                                        '15',
                                        '1');

# structure de la table jeux
DROP TABLE IF EXISTS `jeux`;

CREATE TABLE `jeux` (
  `id_jeu` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(100) NOT NULL,
  `numero` int(11) NOT NULL,
  `description` text,
  `contenu` tinytext NOT NULL,
  `fk_categorie` int(11) NOT NULL,
  `fk_age` int(11) NOT NULL,
  `date_achat` date DEFAULT NULL,
  `prix_achat` int(5) DEFAULT NULL,
  `en_pret` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_jeu`),
  UNIQUE KEY `numero` (`numero`),
  KEY `fk_categorie_jeux` (`fk_categorie`),
  KEY `fk_age_jeux` (`fk_age`),
  CONSTRAINT `fk_age_jeux` FOREIGN KEY (`fk_age`) REFERENCES `ages` (`id_age`),
  CONSTRAINT `fk_categorie_jeux` FOREIGN KEY (`fk_categorie`) REFERENCES `categories` (`id_categorie`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1 COMMENT='table de description du jeu';

# donnees de jeux
INSERT INTO `jeux` (`id_jeu`, `nom`, `numero`, `description`, `contenu`, `fk_categorie`, `fk_age`, `date_achat`, `prix_achat`, `en_pret`) values ('1',
                                        'Abalone',
                                        '1',
                                        'Le but du jeu est dtre le premier  faire sortir 6 billes adverses du plan de jeu en les poussant avec ses propres billes.',
                                        'Damier de 61 cases - 2x 14 billes',
                                        '4',
                                        '3',
                                        '2020-04-11',
                                        '50',
                                        '1');

# structure de la table ludothecaires
DROP TABLE IF EXISTS `ludothecaires`;

CREATE TABLE `ludothecaires` (
  `id_ludo` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(40) NOT NULL,
  `prenom` varchar(40) NOT NULL,
  `login` varchar(15) NOT NULL,
  `password` varchar(33) NOT NULL,
  PRIMARY KEY (`id_ludo`),
  UNIQUE KEY `login` (`login`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1 COMMENT='liste des lodothequaire';

# donnees de ludothecaires
INSERT INTO `ludothecaires` (`id_ludo`, `nom`, `prenom`, `login`, `password`) values ('15',
                                        'Administrateur',
                                        'Administrateur',
                                        'ADMIN',
                                        'a3e8f87957a01105e280e7740c749197');

INSERT INTO `ludothecaires` (`id_ludo`, `nom`, `prenom`, `login`, `password`) values ('16',
                                        'UHA',
                                        'Uha',
                                        'UHA',
                                        '1a5e2b944676cd39d9d756235eb64685');

INSERT INTO `ludothecaires` (`id_ludo`, `nom`, `prenom`, `login`, `password`) values ('17',
                                        'LUDO',
                                        'Ludo',
                                        'LUDO',
                                        '28fdcc190153c0fd2ff538ec18fcc113');

# ------- fin ------------
